import { httpApi } from '../../request/httpApi'

export default {
    //分页数据
    async getPageData(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/messageWarning/list',
            method: 'get',
            params: form,
        }, msg)
    },
    //删除消息
    async removeData(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/messageWarning/remove',
            method: 'post',
            params: form,
        }, msg)
    },
    //获取当前用户的消息数量
    async queryCurrentUserMessageCount(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/messageWarning/queryCurrentUserMessageCount',
            method: 'get',
            params: form,
        }, msg)
    },
    //标记已读
    async setMessageWarningRead(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/messageWarning/setMessageWarningRead',
            method: 'post',
            params: form,
        }, msg)
    },
}
